package math.cipher;

public class Encoder {
	
	public static int strToNumber(String str){
		char[] ca = str.toUpperCase().toCharArray();
		int zahl = 0;
		int z = 0;
		int sum = 0;
		for(int i=0; i<ca.length; i++){
			zahl = ca[i] - 64;
			if(zahl > 0 && zahl < 27){
				z = zahl / 10;
				sum += (zahl - 9*z) * Math.pow(10, z);
			}
		}
		return sum;
	}
	
}
